oracle.sql.json

## Enum OracleJsonValue.OracleJsonType

- java.lang.Object
- - java.lang.Enum<OracleJsonValue.OracleJsonType>
  - - oracle.sql.json.OracleJsonValue.OracleJsonType

All Implemented Interfaces:
  Serializable, Comparable<OracleJsonValue.OracleJsonType>

Enclosing interface:
  OracleJsonValue

    public static enum OracleJsonValue.OracleJsonType
    extends Enum<OracleJsonValue.OracleJsonType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY` An instance of `OracleJsonArray`
`BINARY` An instance of `OracleJsonBinary`
`DATE` An instance of `OracleJsonDate`
`DECIMAL` An instance of `OracleJsonDecimal`
`DOUBLE` An instance of `OracleJsonDouble`
`FALSE` An instance of `OracleJsonValue` equal to `OracleJsonValue.FALSE`
`FLOAT` An instance of `OracleJsonFloat`
`INTERVALDS` An instance of `OracleJsonIntervalDS`
`INTERVALYM` An instance of `OracleJsonIntervalYM`
`NULL` An instance of `OracleJsonValue` equal to `OracleJsonValue.NULL`
`OBJECT` An instance of `OracleJsonObject`
`STRING` An instance of `OracleJsonString`
`TIMESTAMP` An instance of `OracleJsonTimestamp`
`TIMESTAMPTZ` An instance of `OracleJsonTimestampTZ`
`TRUE` An instance of `OracleJsonValue` equal to `OracleJsonValue.TRUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleJsonValue.OracleJsonType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OracleJsonValue.OracleJsonType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARRAY

    public static final OracleJsonValue.OracleJsonType ARRAY

An instance of `OracleJsonArray`

#### OBJECT

    public static final OracleJsonValue.OracleJsonType OBJECT

An instance of `OracleJsonObject`

#### NULL

    public static final OracleJsonValue.OracleJsonType NULL

An instance of `OracleJsonValue` equal to `OracleJsonValue.NULL`

#### TRUE

    public static final OracleJsonValue.OracleJsonType TRUE

An instance of `OracleJsonValue` equal to `OracleJsonValue.TRUE`

#### FALSE

    public static final OracleJsonValue.OracleJsonType FALSE

An instance of `OracleJsonValue` equal to `OracleJsonValue.FALSE`

#### STRING

    public static final OracleJsonValue.OracleJsonType STRING

An instance of `OracleJsonString`

#### DECIMAL

    public static final OracleJsonValue.OracleJsonType DECIMAL

An instance of `OracleJsonDecimal`

#### FLOAT

    public static final OracleJsonValue.OracleJsonType FLOAT

An instance of `OracleJsonFloat`

#### DOUBLE

    public static final OracleJsonValue.OracleJsonType DOUBLE

An instance of `OracleJsonDouble`

#### TIMESTAMP

    public static final OracleJsonValue.OracleJsonType TIMESTAMP

An instance of `OracleJsonTimestamp`

#### TIMESTAMPTZ

    public static final OracleJsonValue.OracleJsonType TIMESTAMPTZ

An instance of `OracleJsonTimestampTZ`

#### DATE

    public static final OracleJsonValue.OracleJsonType DATE

An instance of `OracleJsonDate`

#### INTERVALYM

    public static final OracleJsonValue.OracleJsonType INTERVALYM

An instance of `OracleJsonIntervalYM`

#### INTERVALDS

    public static final OracleJsonValue.OracleJsonType INTERVALDS

An instance of `OracleJsonIntervalDS`

#### BINARY

    public static final OracleJsonValue.OracleJsonType BINARY

An instance of `OracleJsonBinary`

### Method Detail

#### values

    public static OracleJsonValue.OracleJsonType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleJsonValue.OracleJsonType c : OracleJsonValue.OracleJsonType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleJsonValue.OracleJsonType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.